Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# extLinePair2 Struct Reference

`#include <SegmentationTools.h>`

Inheritance diagram for extLinePair2:

[legend]
Collaboration diagram for extLinePair2:

[legend]
List of all members.

## Public Member Functions
| extLinePair2 (point &p1, point &p2, unsigned short id)
point | pt1 ()
point | pt2 ()
double | size ()
point | toConsider ()
unsigned short | getId ()
direction | getDirection ()
## Public Attributes
point | p1
point | p2
point | center
unsigned short | id

## Constructor & Destructor Documentation

extLinePair2::extLinePair2 | ( | point & | p1,
|  | point & | p2,
|  | unsigned short | id
| ) | `[inline]`

| Definition at line 133 of file SegmentationTools.h. References mil().

Here is the call graph for this function:

## Member Function Documentation

point extLinePair2::pt1 | ( |  | ) | `[inline, virtual]`

| Implements LinePair2. Definition at line 140 of file SegmentationTools.h. References point. Referenced by DoubleScanLinesNumber().

point extLinePair2::pt2 | ( |  | ) | `[inline, virtual]`

| Implements LinePair2. Definition at line 141 of file SegmentationTools.h. References point. Referenced by DoubleScanLinesNumber().

double extLinePair2::size | ( |  | ) | `[inline, virtual]`

| Reimplemented from figure. Definition at line 142 of file SegmentationTools.h.

point extLinePair2::toConsider | ( |  | ) | `[inline, virtual]`

| Implements figure. Definition at line 143 of file SegmentationTools.h. References point.

unsigned short extLinePair2::getId | ( |  | ) | `[inline, virtual]`

| Implements figure. Definition at line 144 of file SegmentationTools.h.

direction extLinePair2::getDirection | ( |  | ) | `[inline, virtual]`

| Implements LinePair2. Definition at line 145 of file SegmentationTools.h. References direction, Vector2< V >::x, and Vector2< V >::y.

## Member Data Documentation

point extLinePair2::p1

| Definition at line 129 of file SegmentationTools.h.

point extLinePair2::p2

| Definition at line 129 of file SegmentationTools.h.

point extLinePair2::center

| Definition at line 130 of file SegmentationTools.h.

unsigned short extLinePair2::id

| Definition at line 131 of file SegmentationTools.h.

The documentation for this struct was generated from the following file:

- Modules/ImageProcessor/ImageProcessorTools/SegmentationTools.h